Bug #47220

Flow fails with new versions of symfony/console and doctrine/annotations

Added by Christopher Hlubek over 7 years ago. Updated over 7 years ago.

Status:
Resolved
Priority:
Must have
Category:
-
Target version:
-
Start date:
2013-04-14
Due date:
% Done:

0%

Estimated time:
PHP Version:
Has patch:
No
Complexity:

Description

Following the Quickstart steps the Flow 2.0.0-beta1 does not run anymore due to updated dependencies.

Steps taken:

composer create-project --dev --keep-vcs typo3/flow-base-distribution Quickstart 2.0.x-dev
cd Quickstart
./flow

Error:

Uncaught Exception
  Execution of subprocess failed with exitcode "255" and output:

  Fatal error: Class 'Symfony\Component\EventDispatcher\Event' not found in
  .../Quickstart/Packages/Libraries/symfony/console/Symfony/Component/Console/Event/ConsoleEvent.php
  on line 25

This seems to be an issue introduced by a recent symfony/console update. Could be fixed by excluding everything in Symfony\Component\Console or requiring symfony/event-dispatcher explicitly.

Next error:

Fixing that brings just another error:

  Fatal error:
  Doctrine\Common\Annotations\AnnotationRegistry::registerFile(): Failed
  opening required
  '.../Quickstart/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/Annotation/IgnoreAnnotation.php'
  (include_path='.:/opt/local/lib/php54/pear') in
  .../Quickstart/Packages/Libraries/doctrine/annotations/lib/Doctrine/Common/Annotations/AnnotationRegistry.php
  on line 59

Only classes from Doctrine.Common are ignored, but that package got split into doctrine/annotations and other packages. So we should also exclude everything in package doctrine.annotations.

#1

Updated by Christopher Hlubek over 7 years ago

  • Status changed from New to Resolved

Fixed by updating to current 2.0 branch...

Also available in: Atom PDF